#
# Conditional build:
%bcond_without	apidocs	# sphinx based documentation
%bcond_with	tests	# "test" action (fails?)
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
%bcond_with 	bootstrap # build using old distribute

%define		module	setuptools
Summary:	A collection of enhancements to the Python distutils
Summary(pl.UTF-8):	Zestaw rozszerzeń dla pythonowych distutils
Name:		python-setuptools
Version:	18.3.1
Release:	1
Epoch:		1
License:	PSF or ZPL
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/pypi/setuptools
Source0:	https://pypi.python.org/packages/source/s/setuptools/setuptools-%{version}.tar.gz
# Source0-md5:	748187b93152fa60287dfb896837fd7c
URL:		https://bitbucket.org/pypa/setuptools
%if %(locale -a | grep -q '^en_US.UTF-8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
%if %{with python2}
%if %{with bootstrap}
BuildRequires:	python-distribute < 0.7
%else
#BuildRequires:	python-setuptools > 7.0
BuildConflicts:	python-distribute < 0.7
%endif
BuildRequires:	python-modules >= 1:2.6
%endif
%if %{with python3}
%if %{with bootstrap}
BuildRequires:	python3-distribute < 0.7
%else
#BuildRequires:	python3-setuptools > 7.0
BuildConflicts:	python3-distribute < 0.7
%endif
BuildRequires:	python3-modules >= 1:3.2
%endif
%if %{with apidocs}
BuildRequires:	python-rst.linker
BuildRequires:	sphinx-pdg
%endif
BuildRequires:	rpm-pythonprov
Requires:	python-modules >= 1:2.6
Obsoletes:	python-distribute < 0.7
Obsoletes:	python-setuptools-devel
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
setuptools is a collection of enhancements to the Python distutils
that allow you to more easily build and distribute Python 2.x
packages, especially ones that have dependencies on other packages.

%description -l pl.UTF-8
setuptools to zestaw rozszerzeń do pythonowych distutils umożliwiający
łatwiejsze budowanie i rozprowadzanie pakietów Pythona 2.x,
szczególnie tych mających zależności od innych pakietów.

Ten pakiet zawiera składniki uruchomieniowe setuptools, potrzebne do
uruchamiania kodu wymagającego pkg_resources.py, przeznaczone dla
Pythona 2.x.

%package -n python3-%{module}
Summary:	A collection of enhancements to the Python distutils
Summary(pl.UTF-8):	Zestaw rozszerzeń dla pythonowych distutils
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2
Obsoletes:	python3-distribute < 0.7

%description -n python3-%{module}
setuptools is a collection of enhancements to the Python distutils
that allow you to more easily build and distribute Python 3.x
packages, especially ones that have dependencies on other packages.

%description -n python3-%{module} -l pl.UTF-8
setuptools to zestaw rozszerzeń do pythonowych distutils umożliwiający
łatwiejsze budowanie i rozprowadzanie pakietów Pythona 3.x,
szczególnie tych mających zależności od innych pakietów.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}

# missing file, required by docs build (as of 18.3)
touch CHANGES.txt

%build
%if %{with python2}
LC_ALL=en_US.UTF-8 \
%{__python} setup.py build --build-base build-2 %{?with_tests:test}
%endif

%if %{with python3}
LC_ALL=en_US.UTF-8 \
%{__python3} setup.py build --build-base build-3 %{?with_tests:test}
%endif

%if %{with apidocs}
#%{__make} -C docs html
# rst.linker needs sphinx-build to be run from directory containing "CHANGES.txt"
sphinx-build -b html -d build/doctrees -D latex_paper_size=a4 docs build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%endif

%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 \
	install --skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_bindir}/easy_install
%attr(755,root,root) %{_bindir}/easy_install-2.*
%{py_sitescriptdir}/pkg_resources
%{py_sitescriptdir}/setuptools
%{py_sitescriptdir}/_markerlib
%{py_sitescriptdir}/easy_install.py[co]
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_bindir}/easy_install-3.*
%{py3_sitescriptdir}/__pycache__/easy_install.*.py[co]
%{py3_sitescriptdir}/pkg_resources
%{py3_sitescriptdir}/setuptools
%{py3_sitescriptdir}/_markerlib
%{py3_sitescriptdir}/easy_install.py
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc build/html/*
%endif
%changelog
* Thu Sep 17 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-setuptools.git;a=log;h=master

* Thu Sep 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 1c51337
- updated to 18.3.1

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 31850df
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 275d51d
- rel 3; setuptools doesn't seem to be needed to build this package

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a847975
- rel 2

* Sun Sep 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 54dda11
- updated to 18.3

* Tue Mar 31 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 595e1b1
- Release: 2

* Tue Mar 31 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 5aca2e9
- adapterized

* Tue Mar 31 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> ff46620
- Obsolete old python3-distribute too

* Tue Mar 31 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 64c5aa5
- Version: 14.3.1

* Sat Mar 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 5c02125
- updated to 14.0

* Sat Nov 22 2014 Elan Ruusamäe <glen@delfi.ee> b79ba3d
- obsolete python-distribute to allow switching

* Sat Oct 25 2014 Jakub Bogusz <qboosh@pld-linux.org> b7084a6
- updated to 7.0

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 029761f
- python 3.4
- release 2 (by relup.sh)

* Sun Oct 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 15009e3
- updated to 6.1

* Sat Oct 11 2014 Jakub Bogusz <qboosh@pld-linux.org> c034c75
- post-upgrade cleanup, build docs

* Mon Oct 06 2014 Mateusz Korniak <matkor@pld-linux.org> 2f64942
- Version 6.0.2-1. pytho3 package added.

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 45c0486
- BR: python-modules, rpm-pythonprov

* Fri Oct 29 2010 hawk <hawk@pld-linux.org> 0af3d87
- release 3

* Wed Jul 28 2010 Elan Ruusamäe <glen@pld-linux.org> 3359170
- release 2

* Tue Jul 20 2010 witekfl <witekfl@pld-linux.org> 4ee766c
- up to 0.6c11

